[#]: collector: (lujun9972)
[#]: translator: ( )
[#]: reviewer: ( )
[#]: publisher: ( )
[#]: subject: (14 Best ASCII Games for Linux That are Insanely Good)
[#]: via: (https://itsfoss.com/best-ascii-games/)
[#]: author: (Ankush Das https://itsfoss.com/author/ankush/)
[#]: url: ( )

14 Best ASCII Games for Linux That are Insanely Good
======

Text-based or should I say [terminal-based games][1] were very popular a decade back – when you didn’t have visual masterpieces like God Of War, Red Dead Redemption 2 or Spiderman.

Of course, the Linux platform has its share of good games – but not always the “latest and greatest”. But, there are some ASCII games out there – to which you can never turn your back on.

I’m not sure if you’d believe me, some of the ASCII games proved to be very addictive (So, it might take a while for me to resume work on the next article, or I might just get fired? – Help me!)

Jokes apart, let us take a look at the best ASCII games.

**Note:** Installing ASCII games could be time-consuming (some might ask you to install additional dependencies or simply won’t work). You might even encounter some ASCII games that require you build from Source. So, we’ve filtered out only the ones that are easy to install/run – without breaking a sweat.

### Things to do before Running or Installing an ASCII Game

Some of the ASCII games might require you to install [Simple DirectMedia Layer][2] unless you already have it installed. So, in case, you should install them first before trying to run any of the games mentioned in this article.

For that, you just need to type in these commands:

```
sudo apt install libsdl2-2.0
```

```
sudo apt install libsdl2_mixer-2.0
```
<https://www.youtube.com/embed/MGTHNw8c5pM?enablejsapi=1&autoplay=0&cc_load_policy=0&iv_load_policy=1&loop=0&modestbranding=1&rel=0&showinfo=0&fs=1&playsinline=0&autohide=2&theme=dark&color=red&controls=2&>

### Best ASCII Games for Linux

![Best Ascii games for Linux][3]

The games listed are in no particular order of ranking.

#### 1 . [Curse of War][4]

![Curse of War ascii games][5]

Curse of War is an interesting strategy game. You might find it a bit confusing at first but once you get to know it – you’ll love it. I’ll recommend you to take a look at the rules of the game on their [homepage][4] before launching the game.

You will be building infrastructure, secure resources and directing your army to fight. All you have to do is place your flag in a good position to let your army take care of the rest. It’s not just about attacking – you need to manage and secure the resources to help win the fight.

If you’ve never played any ASCII game before, be patient and spend some time learning it – to experience it to its fullest potential.

##### How to install Curse of War?

You will find it in the official repository. So, type in the following command to install it:

```
sudo apt install curseofwar
```
#### 2. ASCII Sector

![ascii sector][6]

Hate strategy games? Fret not, ASCII sector is a game that has a space-setting and lets you explore a lot.

Also, the game isn’t just limited to exploration, you need some action? You got that here as well. Of course, not the best combat experience- but it is fun. It gets even more exciting when you see a variety of bases, missions, and quests. You’ll encounter a leveling system in this tiny game where you have to earn enough money or trade in order upgrade your spaceship.

The best part about this game is – you can create your own quests or play other’s.

###### How to install ASCII Sector?

You need to first download and unpack the archived package from the [official site][7]. After it’s done, open up your terminal and type these commands (replace the **Downloads** folder with your location where the unpacked folder exists, ignore it if the unpacked folder resides inside your home directory):

```
cd Downloads
cd asciisec
chmod +x asciisec
./asciisec
```

#### 3. DoomRL

![doom ascii game][8]

You must be knowing the classic game “Doom”. So, if you want the scaled down experience of it as a rogue-like, DoomRL is for you. It is an ASCII-based game, in case you don’t feel like it to be.

It’s a very tiny game with a lot of gameplay hours to have fun with.

###### How to install DoomRL?

Similar to what you did for ASCII Sector, you need to download the official archive from their [download page][9] and then extract it to a folder.

After extracting it, type in these commands:

```
cd Downloads // navigating to the location where the unpacked folder exists
```

```
cd doomrl-linux-x64-0997
chmod +x doomrl
./doomrl
```
#### 4. Pyramid Builder

![Pyramid Builder ascii game for Linux][10]

Pyramid Builder is an innovative take as an ASCII game where get to improve your civilization by helping build pyramids.

You need to direct the workers to farm, unload the cargo, and move the gigantic stones to successfully build the pyramid.

It is indeed a beautiful ASCII game to download.

###### How to install Pyramid Builder?

Simply head to its official site and download the package to unpack it. After extraction, navigate to the folder and run the executable file.

```
cd Downloads
cd pyramid_builder_linux
chmod +x pyramid_builder_linux.x86_64
./pyramid_builder_linux.x86_64
```
#### 5. DiabloRL

![Diablo ascii RPG game][11]

If you’re an avid gamer, you must have heard about Blizzard’s Diablo 1. It is undoubtedly a good game.

You get the chance to play a unique rendition of the game – which is an ASCII game. DiabloRL is a turn-based rogue-like game that is insanely good. You get to choose from a variety of classes (Warrior, Sorcerer, or Rogue). Every class would result in a different gameplay experience with a set of different stats.

Of course, personal preference will differ – but it’s a decent “unmake” of Diablo. What do you think?

#### 6. Ninvaders

![Ninvaders terminal game for Linux][12]

Ninvaders is one of the best ASCII game just because it’s so simple and an arcade game to kill time.

You have to defend against a hord of invaders – just finish them off before they get to you. It sounds very simple – but it is a challenging game.

##### How to install Ninvaders?

Similar to Curse of War, you can find this in the official repository. So, just type in this command to install it:

```
sudo apt install ninvaders 
```
#### 7. Empire

![Empire terminal game][13]

A real-time strategy game for which you will need an active Internet connection. I’m personally not a fan of Real-Time strategy games, but if you are a fan of such games – you should really check out their [guide][14] to play this game – because it can be very challenging to learn.

The rectangle contains cities, land, and water. You need to expand your city with an army, ships, planes and other resources. By expanding quickly, you will be able to capture other cities by destroying them before they make a move.

##### How to install Empire?

Install this is very simple, just type in the following command:

```
sudo apt install empire
```

#### 8. Nudoku

![Nudoku is a terminal version game of Sudoku][15]

Love Sudoku? Well, you have Nudoku – a clone for it. A perfect time-killing ASCII game while you relax.

It presents you with three difficulty levels – Easy, normal, and hard. If you want to put up a challenge with the computer, the hard difficulty will be perfect! If you just want to chill, go for the easy one.

##### How to install Nudoku?

It’s very easy to get it installed, just type in the following command in the terminal:

```
sudo apt install nudoku
```

#### 9\. Nethack

A dungeons and dragon-style ASCII game which is one of the best out there. I believe it’s one of your favorites if you already knew about ASCII games for Linux – in general.

It features a lot of different levels (about 45) and comes packed in with a bunch of weapons, scrolls, potions, armor, rings, and gems. You can also choose permadeath as your mode to play it.

It’s not just about killing here – you got a lot to explore.

##### How to install Nethack?

Simply follow the command below to install it:

```
sudo apt install nethack
```

#### 10. ASCII Jump

![ascii jump game][16]

ASCII Jump is a dead simple game where you have to slide along a varierty of tracks – while jumping, changing position, and moving as long as you can to cover maximum distance.

It’s really amazing to see how this ASCII game looks like (visually) even it seems so simple. You can start with the training mode and then proceed to the world cup. You also get to choose your competitors and the hills on which you want to start the game.

##### How to install Ascii Jump?

To install the game, just type the following command:

```
sudo apt install asciijump
```

#### 11. Bastet

![Bastet is tetris game in ascii form][17]

Let’s just not pay any attention to the name – it’s actually a fun clone of Tetris game.

You shouldn’t expect it to be just another ordinary tetris game – but it will present you the worst possible bricks to play with. Have fun!

##### How to install Bastet?

Open the terminal and type in the following command:

```
sudo apt install bastet
```

#### 12\. Bombardier

![Bomabrdier game in ascii form][18]

Bombardier is yet another simple ASCII game which will keep you hooked on to it.

Here, you have a helicopter (or whatever you’d like to call your aircraft) which lowers down every cycle and you need to throw bombs in order to destroy the blocks/buildings under you. The game also puts a pinch of humor for the messages it displays when you destroy a block. It is fun.

##### How to install Bombardier?

Bombardier is available in the official repository, so just type in the following in the terminal to install it:

```
sudo apt install bombardier
```

#### 13\. Angband

![Angband ascii game][19]

A cool dungeon exploration game with a neat interface. You can see all the vital information in a single screen while you explore the game.

It contains different kinds of race to pick a character. You can either be an Elf, Hobbit, Dwarf or something else – there’s nearly a dozen to choose from. Remember, that you need to defeat the lord of darkness at the end – so make every upgrade possible to your weapon and get ready.

How to install Angband?

Simply type in the following command:

```
sudo apt install angband
```

#### 14\. GNU Chess

![GNU Chess is a chess game that you can play in Linux terminal][20]

How can you not play chess? It is my favorite strategy game!

But, GNU Chess can be tough to play with unless you know the Algebraic notation to describe the next move. Of course, being an ASCII game – it isn’t quite possible to interact – so it asks you the notation to detect your move and displays the output (while it waits for the computer to think its next move).

##### How to install GNU Chess?

If you’re aware of the algebraic notations of Chess, enter the following command to install it from the terminal:

```
sudo apt install gnuchess
```

#### Some Honorable Mentions

As I mentioned earlier, we’ve tried to recommend you the best (but also the ones that are the easiest to install on your Linux machine).

However, there are some iconic ASCII games which deserve the attention and requires a tad more effort to install (You will get the source code and you need to build it / install it).

Some of those games are:

+ [Cataclysm: Dark Days Ahead][22]
+ [Brogue][23]
+ [Dwarf Fortress][24]

You should follow our [guide to install software from source code][21].

### Wrapping Up

Which of the ASCII games mentioned seem perfect for you? Did we miss any of your favorites?

Let us know your thoughts in the comments below.

--------------------------------------------------------------------------------

via: https://itsfoss.com/best-ascii-games/

作者：[Ankush Das][a]
选题：[lujun9972][b]
译者：[译者ID](https://github.com/译者ID)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]: https://itsfoss.com/author/ankush/
[b]: https://github.com/lujun9972
[1]: https://itsfoss.com/best-command-line-games-linux/
[2]: https://www.libsdl.org/
[3]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/11/best-ascii-games-featured.png?resize=800%2C450&ssl=1
[4]: http://a-nikolaev.github.io/curseofwar/
[5]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/11/curseofwar-ascii-game.jpg?fit=800%2C479&ssl=1
[6]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/11/ascii-sector-game.jpg?fit=800%2C424&ssl=1
[7]: http://www.asciisector.net/download/
[8]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2018/11/doom-rl-ascii-game.jpg?ssl=1
[9]: https://drl.chaosforge.org/downloads
[10]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/11/pyramid-builder-ascii-game.jpg?fit=800%2C509&ssl=1
[11]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2018/11/diablo-rl-ascii-game.jpg?ssl=1
[12]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/11/ninvaders-ascii-game.jpg?fit=800%2C426&ssl=1
[13]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/11/empire-ascii-game.jpg?fit=800%2C570&ssl=1
[14]: http://www.wolfpackempire.com/infopages/Guide.html
[15]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/11/nudoku-ascii-game.jpg?fit=800%2C434&ssl=1
[16]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/11/ascii-jump.jpg?fit=800%2C566&ssl=1
[17]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2018/11/bastet-tetris-clone-ascii.jpg?fit=800%2C465&ssl=1
[18]: https://i1.wp.com/itsfoss.com/wp-content/uploads/2018/11/bombardier.jpg?fit=800%2C571&ssl=1
[19]: https://i0.wp.com/itsfoss.com/wp-content/uploads/2018/11/angband-ascii-game.jpg?ssl=1
[20]: https://i2.wp.com/itsfoss.com/wp-content/uploads/2018/11/gnuchess-ascii-game.jpg?ssl=1
[21]: https://itsfoss.com/install-software-from-source-code/
[22]: https://github.com/CleverRaven/Cataclysm-DDA
[23]: https://sites.google.com/site/broguegame/
[24]: http://www.bay12games.com/dwarves/index.html

