27个解决教学问题的开放式方法
======
![27 open solutions to everything in education](https://opensource.com/sites/default/files/styles/image-full-size/public/lead-images/EDU_OpenEducationResources_520x292_cm.png?itok=9y4FGgRo)

开放式理念 (从开源软件到开放硬件， 再到开放原则) 正在改变教育的范式。因此， 为了庆祝今年发生的一切， 我收集了2017年在 Opensource.com 上发表的27篇关于这个主题的最好的文章。我把它们分成明确的主题， 而不是按人气来分类。而且， 如果这27个故事不能满足你对教育公开信息的胃口， 那就看看我们的合作文章吧 “ [education is leveraging Raspberry Pi and Linux][30]”

### 开放对每个人都有好处

1.  [Book review: 'OPEN' explores broad cultural implications of openness][1]:  Scott Nesbitt 评价David Price 的书 'OPEN' ，该书探讨了 “开放” 不仅仅是技术转变的观点， 而是 “我们未来将如何工作、生活和学习”。

2.  [Jump-start your career with open source skills][2]:  VM (Vicky) Brasseur 指出了如何利用开放式学习在工作群体中脱颖而出。 这个建议不仅仅是针对程序员的， 而是针对程序员的。设计师、作家、营销人员和其他创意专业人士也是开放式成功的关键。

3.  [A graduate degree could springboard you into an open source job][3]:  引用的研究表明会 Linux 技能会带来更高的薪水， Joshua Pearce 说对开源的熟练和研究生学位是无与伦比的职业技能组合。

4.  [These 3 practices revolutionized Penn Manor's school culture][4]:  Charlie Reisinger 向我们展示了开放的做法是如何在宾夕法尼亚州的一个学区创造一种更具包容性、敏捷性和开放性的文化的。 Charlie 说， 这不仅仅是为了省钱;该区还受益于 “开放式领导原则， 促进师生创新， 帮助更好地吸引社区， 创造一个更有活力和包容性的学习社区”。

5.  [15 ways to empower students with open source tools][5]: 我写开源是如何让学生自由探索、补拙和学习的， 不管他们是在学习基本的数字化素养， 还是通过有趣的项目来扩展这些技能。

6.  [Developer opportunities to code for good][6]: 开源往往是对社会有益的项目的支柱。正如 Benetech Labs 副总裁 Ahn Bui 在这次采访中指出的那样: “建立开放数据标准是打破数据孤岛不可或缺的一步。这些开放标准将为互操作性提供基础， 进而转化为更多的组织共同建设， 往往更具成本效益。最终目标是以同样的成本甚至更低的成本为更多的人服务。”

### 用于再融合和再利用的开放式教育资源

1.  [Can academic faculty members teach with Wikipedia?][7] LiAnna Davis，Wiki Ed 的， 项目总监，讨论开放教育资源 (OERs) ，如 Wiki Ed，如何提供高质量且经济实惠的开源学习资源作为课堂教学工具。

2.  [Are textbooks in or out? The state of open educational resources][8]: Cable Green，是 Creative Common 开放教育主任，分享高等教育中教育面貌是如何变化的， 以及 Creative Common 正在采取哪些措施来促进教育。

3.  [School systems desperate for standards-aligned curricula find hope][9]: Karen Vaites，是 Open Up Resources 社区的福音传教士和首席营销官， 谈论非营利组织努力为 K-12 学校提供开放的， 标准一致的课程。

4.  [How the University of Hawaii is solving today's higher ed problems][10]: Billy Meinke ， Hawaii 大学 Manoa 分校的教育技术专家，他说， 在大学课程中过渡到 ORE 将 “使教师能够控制他们教授的内容， 我们预计这将为他们节省学生的费用。”

5.  [How open courses are slashing the cost of higher education][11]: Saylor Academy 的教育主任 Devon Ritter 报告了 Saylor 是如何建立以公开许可内容为基础的大学学分课程， 目的是使更多的人能够负担得起和获得高等教育。

6.  [Open educational resources movement gains speed][12]: Alexis Clifton，State University of New York 的 OER 服务的执行主任， 描述了纽约800万美元的投资如何刺激开放教育的增长， 并使大学更实惠。

7.  [Open project collaboration from elementary to university classrooms][13]: Aria F. Chernik 在Duke University 探索 OSPRI (Open Source Pedagogy Research and Innovation，开源教育学的研究与创新)， 在 Duke 和 Red Hat 的联合合作这是建立一个21世纪的，  preK-12 学习生态系统， 是开放的设计。

8.  [Perma.cc stops scholarly link rot][14]: Virginia Tech 的 Phillip Young 写关于 Perma.cc，  “link rot”(链接失效) 的解决方案 很大可能在学术论文中的超链接随着时间的推移而消失或变化。

9.  [Open education: How students save money by creating open textbooks][15]: OER 先驱 Robin DeRosa 谈到 “公开许可教科书引入的自由， 以及教育和学习应结合包容性生态系统， 以增强公益的总体理念”。

### 课堂上的开源工具

1.  [How an open source board game is saving the planet][16]: Joshua Pearce 写的关于拯救地球的一个棋盘游戏， 使学生能够解决环境问题， 同时有乐趣， 并为制造商社区作出贡献。

2.  [A new Android app for teaching kids how to read][17]: Michael Hall 谈到他的儿子 Phoenicia，他在儿子被诊断为自闭症后开发的儿童识字应用， 为了产生更好的编码价值， 以及为什么用户测试比你想象的更重要。

3.  [8 open source Android apps for education][18]: Joshua Allen Holm 通过推荐 F-Droid 存储库中的8个开源应用来尝试， 这将挑战我们将智能手机用作学习工具。

4.  [3 open source alternatives to MATLAB][19]: Jason Baker's 更新了他2016年的开源数学计算软件调查， 提出了 MATLAB 的替代方案， 这是数学、物理科学、工程和经济学中几乎无处不在的昂贵的专用解决方案。

5.  [What does SVG have to do with teaching kids to code?][20] 退休工程师 Jay Nick 谈论他如何使用艺术作为一种创造性的方式， 向学生介绍编码。他在学校做志愿者， 使用可缩放矢量图形 (SVG，Scalable Vector Graphics) 教授一种结合数学和艺术原理的编码方法。

6.  [5 myths busted: Using open source in higher education][21]: Kyle Conway， 在 Texas Tech 拥有美术博士学位分享他在单一解决方案统治的世界中使用开源工具的经验。 Kyle 说有一种偏见， 反对在计算机科学以外的学科中使用开源：“很多人认为非技术专业的学生不能使用 Linux， 他们对在高级学位课程中使用 Linux 的人做出了很多假设。...嗯， 这是有可能的， 我就是证明。”

7.  [A list of open source tools for college][22]: Aaron Cocker 概述了他在攻读计算机科学本科学位时使用的开源工具 (包括演示、备份和编程软件)。

8.  [5 great KDE apps to help you study][23]: Zsolt Szakács 提供五个 KDE 应用程序， 帮助任何想要学习新技能或培养现有技能的人。

### 在教室编码

1.  [How to get the next generation coding early][24]: Bryson Payne 说我们需要教孩子们在高中前编码: 到了九年级， 80% 的女孩和60% 的男孩已经从 STEM 职业中自选。但他建议， 这不仅仅是就业和缩小 IT 技能差距的问题。“教一个年轻人编写代码可能是你能给他们的最改变生活的技能。而且这不仅仅是一个职业提升者。编码是关于解决问题， 它是关于创造力， 更重要的是， 它是关于授权。

2.  [Kids can't code without computers][25]: Patrick Masson 推出了 FLOSS 儿童桌面计划， 该计划教授服务不足学校的学生使用开源软件 (如 Linux、LibreOffice 和 GIMP) 重新设计较旧的计算机。该计划不仅为破旧或退役的硬件注入新的生命， 还为学生提供了重要的技能， 这些技能可能会利于转化为未来的职业。

3.  [Is Scratch today like the Logo of the '80s for teaching kids to code?][26] Anderson Silva 提出 [Scratch][27] 的使用建议以激发孩子们对编程的兴趣， 就像 LOGO 在20世纪80年代开始使用它时一样。

4.  [Learn Android development with this drag-and-drop framework][28]: Eric Eslinger 描述应用发明者， 一个编程框架， 用于构建 Android 应用程序使用可视块语言 (类似 Scratch 或者[Snap][29]).

在这一年里， 我们了解到， 教育领域的一切都有一个开放的解决方案， 我预计这一主题将在2018年及以后继续下去。在未来的一年里， 你是否希望 Opensource.com 涵盖开放式的教育主题？如果是， 请在评论中分享你的想法。

--------------------------------------------------------------------------------

via: https://opensource.com/article/18/1/best-open-education

作者：[Don Watkins][a]
译者：[lixinyuxx](https://github.com/lixinyuxx)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创编译，[Linux中国](https://linux.cn/) 荣誉推出

[a]:https://opensource.com/users/don-watkins
[1]:https://opensource.com/article/17/7/book-review-open
[2]:https://opensource.com/article/17/8/jump-start-your-career
[3]:https://opensource.com/article/17/1/grad-school-open-source-academic-lab
[4]:https://opensource.com/article/17/7/open-school-leadership
[5]:https://opensource.com/article/17/7/empower-students-open-source-tools
[6]:https://opensource.com/article/17/3/interview-anh-bui-benetech-labs
[7]:https://opensource.com/article/17/1/Wiki-Education-Foundation
[8]:https://opensource.com/article/17/2/future-textbooks-cable-green-creative-commons
[9]:https://opensource.com/article/17/1/open-up-resources
[10]:https://opensource.com/article/17/2/interview-education-billy-meinke
[11]:https://opensource.com/article/17/7/college-alternatives
[12]:https://opensource.com/article/17/10/open-educational-resources-alexis-clifton
[13]:https://opensource.com/article/17/3/education-should-be-open-design
[14]:https://opensource.com/article/17/9/stop-link-rot-permacc
[15]:https://opensource.com/article/17/11/creating-open-textbooks
[16]:https://opensource.com/article/17/7/save-planet-board-game
[17]:https://opensource.com/article/17/4/phoenicia-education-software
[18]:https://opensource.com/article/17/8/8-open-source-android-apps-education
[19]:https://opensource.com/alternatives/matlab
[20]:https://opensource.com/article/17/5/coding-scalable-vector-graphics-make-steam
[21]:https://opensource.com/article/17/5/how-linux-higher-education
[22]:https://opensource.com/article/17/6/open-source-tools-university-student
[23]:https://opensource.com/article/17/6/kde-education-software
[24]:https://opensource.com/article/17/8/teach-kid-code-change-life
[25]:https://opensource.com/article/17/9/floss-desktops-kids
[26]:https://opensource.com/article/17/3/logo-scratch-teach-programming-kids
[27]:https://scratch.mit.edu/
[28]:https://opensource.com/article/17/8/app-inventor-android-app-development
[29]:http://snap.berkeley.edu/
